%% Set condition to run

cond = 1; %Condition to simulate (seven conditions are available here)
%1. Dichoptic gratings / attended   (attended rivalry)
%2. Dichoptic gratings / unattended (unattended rivalry)
%3. Monocular plaids / attended
%4. Monocular plaids / unattended
%5. Swapping with a blank gap before swap (blank-before-swap condition) 
%6. Swapping with no blank (static image condition) 
%7. Swapping with flicker  (flicker-and-swap condition)

%% 
%Setup the stimulus sequence and parameters
p      = setParameters(cond); %set parameters
p      = setStim(p);          %draw stimuli
p      = initTimeSeries(p);   %preallocate data matrices
p.i{1} = p.stimL;             %assign stimulus to the inputs of monocular layers
p.i{2} = p.stimR;             %assign stimulus to the inputs of monocular layers

%Run the model
fprintf('%s / inupt strength: %1.2f %1.2f \n', p.condnames{p.cond}, p.input(1), p.input(2));
p = n_model(p);

%Plot results
plotTimeSeries(p);
